diff -Nru libvorbisidec-1.2.1+git20180316-old/Android.mk libvorbisidec-1.2.1+git20180316-new/Android.mk
--- libvorbisidec-1.2.1+git20180316-old/Android.mk	1970-01-01 09:00:00.000000000 +0900
+++ libvorbisidec-1.2.1+git20180316-new/Android.mk	2019-08-18 12:00:36.179353746 +0900
@@ -0,0 +1,19 @@
+LOCAL_PATH := $(call my-dir)
+
+include $(CLEAR_VARS)
+
+LOCAL_MODULE := tremor
+
+LOCAL_C_INCLUDES := $(LOCAL_PATH)/../libogg-1.3.3
+
+LOCAL_CFLAGS := -DHAVE_ALLOCA_H
+
+LOCAL_CPP_EXTENSION := .cpp
+
+# Note this simple makefile var substitution, you can find even simpler examples in different Android projects
+LOCAL_SRC_FILES := $(notdir $(wildcard $(LOCAL_PATH)/*.c))
+
+LOCAL_SHARED_LIBRARIES := ogg
+
+include $(BUILD_SHARED_LIBRARY)
+
diff -Nru libvorbisidec-1.2.1+git20180316-old/asm_arm.h libvorbisidec-1.2.1+git20180316-new/asm_arm.h
--- libvorbisidec-1.2.1+git20180316-old/asm_arm.h	2019-08-18 12:00:05.362660750 +0900
+++ libvorbisidec-1.2.1+git20180316-new/asm_arm.h	2019-08-18 12:01:53.109083703 +0900
@@ -15,7 +15,7 @@
 
  ********************************************************************/
 
-#ifdef _ARM_ASSEM_
+#if defined(__arm__) && __ARM_ARCH >= 7
 
 #if !defined(_V_WIDE_MATH) && !defined(_LOW_ACCURACY_)
 #define _V_WIDE_MATH
diff -Nru libvorbisidec-1.2.1+git20180316-old/misc.h libvorbisidec-1.2.1+git20180316-new/misc.h
--- libvorbisidec-1.2.1+git20180316-old/misc.h	2018-03-16 14:15:51.000000000 +0900
+++ libvorbisidec-1.2.1+git20180316-new/misc.h	2019-08-18 12:00:36.207354375 +0900
@@ -41,6 +41,12 @@
 #include <sys/types.h>
 #endif
 
+#ifndef BYTE_ORDER
+#define LITTLE_ENDIAN   1234
+#define BIG_ENDIAN      4321
+#define BYTE_ORDER      LITTLE_ENDIAN
+#endif
+
 #if BYTE_ORDER==LITTLE_ENDIAN
 union magic {
   struct {
